package com.ejie.ab79.model.REST.servicioWeb;

public class DocumentacionActuacion implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private Integer idInspeccion;
	private String idInspeccionMovil;
	private String idActuacionMovil;
	private String idDocumentoMovil;
	private Integer idPlantilla;
	private String nombreFichero;
	private String contenidoFichero;

	public DocumentacionActuacion() {
	}

	/**
	 * @return this.the idInspeccion
	 */
	public Integer getIdInspeccion() {
		return this.idInspeccion;
	}

	/**
	 * @param idInspeccion
	 *            the idInspeccion to set
	 */
	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}

	/**
	 * @return this.the idInspeccionMovil
	 */
	public String getIdInspeccionMovil() {
		return this.idInspeccionMovil;
	}

	/**
	 * @param idInspeccionMovil
	 *            the idInspeccionMovil to set
	 */
	public void setIdInspeccionMovil(String idInspeccionMovil) {
		this.idInspeccionMovil = idInspeccionMovil;
	}

	/**
	 * @return this.the idActuacionMovil
	 */
	public String getIdActuacionMovil() {
		return this.idActuacionMovil;
	}

	/**
	 * @param idActuacionMovil
	 *            the idActuacionMovil to set
	 */
	public void setIdActuacionMovil(String idActuacionMovil) {
		this.idActuacionMovil = idActuacionMovil;
	}

	/**
	 * @return this.the idDocumentoMovil
	 */
	public String getIdDocumentoMovil() {
		return this.idDocumentoMovil;
	}

	/**
	 * @param idDocumentoMovil
	 *            the idDocumentoMovil to set
	 */
	public void setIdDocumentoMovil(String idDocumentoMovil) {
		this.idDocumentoMovil = idDocumentoMovil;
	}

	/**
	 * @return this.the idPlantilla
	 */
	public Integer getIdPlantilla() {
		return this.idPlantilla;
	}

	/**
	 * @param idPlantilla
	 *            the idPlantilla to set
	 */
	public void setIdPlantilla(Integer idPlantilla) {
		this.idPlantilla = idPlantilla;
	}

	/**
	 * @return this.the nombreFichero
	 */
	public String getNombreFichero() {
		return this.nombreFichero;
	}

	/**
	 * @param nombreFichero
	 *            the nombreFichero to set
	 */
	public void setNombreFichero(String nombreFichero) {
		this.nombreFichero = nombreFichero;
	}

	/**
	 * @return this.the contenidoFichero
	 */
	public String getContenidoFichero() {
		return this.contenidoFichero;
	}

	/**
	 * @param contenidoFichero
	 *            the contenidoFichero to set
	 */
	public void setContenidoFichero(String contenidoFichero) {
		this.contenidoFichero = contenidoFichero;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(", [ idInspeccion: ").append(this.idInspeccion).append(" ]");
		result.append(", [ idInspeccionMovil: ").append(this.idInspeccionMovil).append(" ]");
		result.append(", [ idActuacionMovil: ").append(this.idActuacionMovil).append(" ]");
		result.append(", [ idDocumentoMovil: ").append(this.idDocumentoMovil).append(" ]");
		result.append(", [ idPlantilla: ").append(this.idPlantilla).append(" ]");
		result.append(", [ nombreFichero: ").append(this.nombreFichero).append(" ]");
		result.append(", [ contenidoFichero: ").append(this.contenidoFichero).append(" ]");
		result.append("}");

		return result.toString();
	}
}
